SND_SOC_JACK_REPORT(9)

NAME
snd_soc_jack_report - Report the current status for a jack

SYNOPSIS

void snd_soc_jack_report(struct snd_soc_jack * jack, int status, int mask);

ARGUMENTS

jack
    the jack

status
    a bitmask of enum snd_jack_type values that are currently detected.

mask
    a bitmask of enum snd_jack_type values that being reported.

DESCRIPTION

If configured using snd_soc_jack_add_pins then the associated DAPM pins will be enabled or disabled as appropriate and DAPM synchronised.

NOTE

This function uses mutexes and should be called from a context which can sleep (such as a workqueue).

COPYRIGHT